/**
 * Copyright 2013 Twitter, Inc.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.twitter.crunch;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import com.twitter.crunch.integrated.RDFBalanceTest;
import com.twitter.crunch.integrated.RDFStabilityTest;

/**
 * Test suite that exercises all crunch tests.
 */
@RunWith(Suite.class)
@SuiteClasses({
  NodeTest.class,
  MessageDigestHashTest.class,
  MappingDiffTest.class,
  StrawSelectionTest.class,
  ConsistentHashingSelectionTest.class,
  RandomSelectionTest.class,
  CrunchTest.class,
  AssignmentTrackerImplTest.class,
  RDFBalanceTest.class,
  RDFStabilityTest.class
})
public class CrunchTestSuite {}